$ErrorActionPreference = 'Stop';

$url = 'https://github.com/bitwarden/clients/releases/download/desktop-v2023.7.0/Bitwarden-Installer-2023.7.0.exe'
$checksum = '9A56EBEC91B149321EB0F30C47D6FCB968F19F9B95BAE7C72C153144A63DC392'

$packageArgs = @{
  packageName   = 'bitwarden'
  fileType      = 'EXE'
  softwareName  = 'Bitwarden'
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
